Skip to main content

Before you start

You’ll need product-level permissions to use this endpoint. You should also create webhooks for the AccountActivated event type at a minimum, so you’re notified when the account’s status changes.

Create an account for payments

POST /v2/onboarding

Request

Use this request to submit details and start onboarding an account.
curl -i -X POST \
  'https://api.equalsmoney.com/v2/onboarding' \
  -H 'Authorization: ApiKey YOUR_API_KEY_HERE' \
  -H 'Content-Type: application/json' \
  -d '{
    "market": "UK",
    "features": [
      "payments"
    ],
    "accountType": "business",
    "affiliateId": "420e4d3c-2d51-4cad-9caf-d7300258cefd",
    "companyId": "420e4d3c-2d51-4cad-9caf-d7300258cefd",
    "contact": {
      "firstName": "John",
      "lastName": "Doe",
      "email": "john.doe@example.com",
      "phone": "+447123456789",
      "dob": "19/01/1946",
      "address": {
        "addressLine1": "Great Building",
        "addressLine2": "Greater Building",
        "townCity": "My Town",
        "postCode": "SE13UB",
        "countryCode": "GB"
      }
    },
    "account": {
      "companyName": "ACME international",
      "companyNumber": "1111111111",
      "incorporationDate": "1980-01-30",
      "type": "llp",
      "website": "https://www.exampleurl.com",
      "onboardingDetail": "Additional details about the account",
      "address": {
        "addressLine1": "Great Building",
        "addressLine2": "Greater Building",
        "townCity": "My Town",
        "postCode": "SE13UB",
        "countryCode": "GB"
      }
    },
    "kyc": {
      "mainPurpose": [
        "Investment"
      ],
      "sourceOfFunds": [
        "salary"
      ],
      "destinationOfFunds": [
        "GB"
      ],
      "currenciesRequired": [
        "GBP"
      ],
      "annualVolume": "Less than £10,000",
      "numberOfPayments": "More than 20 payments"
    }
  }'

Request body schema

market
string
The market relating to the licence that the account operates under.Allowable values: UK, EU
features
array
The feature to enable on the account. Defaults to payments if not provided. Cannot be changed later.Allowable values: payments, cards
accountType
string
required
The type of account you’re onboarding.Allowable values: business, personal
affiliateId
string
The affiliate ID.Allowable values: 36 characters
companyId
string
The company ID.Allowable values: 36 characters
contact
object
required
Details about the contact (primary owner).
FieldTypeRequiredDescription
contact.firstNamestringrequiredThe contact’s first name (≤ 256 characters)
contact.lastNamestringrequiredThe contact’s last name (≤ 256 characters)
contact.emailstringrequiredThe contact’s email address. If this matches an existing person, we’ll create a new persona for them. If not, we’ll create both a new person and a new persona (≤ 256 characters)
contact.phonestringrequiredThe contact’s phone number (≤ 50 characters)
contact.dobstringThe contact’s date of birth. Format: DD/MM/YYYY
contact.address.addressLine1stringrequiredThe first line of the contact’s address (≤ 256 characters)
contact.address.addressLine2stringrequiredThe second line of the contact’s address (≤ 256 characters)
contact.address.townCitystringrequiredThe town or city of the contact’s address (≤ 256 characters)
contact.address.postCodestringrequiredThe postal or ZIP code of the contact’s address (≤ 36 characters)
contact.address.countryCodestringrequiredThe country code of the contact’s address, in ISO 3166-1 alpha-2 format (2 characters)
account
object
Details about the account. Optional for personal accounts; required for business accounts.
FieldTypeRequiredDescription
account.companyNamestringrequired if account providedThe company’s name (≤ 256 characters)
account.companyNumberstringrequired if account providedThe company number
account.incorporationDatestringThe company’s incorporation date. Format: YYYY-MM-DD
account.typestringrequired if account providedThe company type. Allowable values: ltd, private-limited-guarant-nsc-limited-exemption, private-limited-guarant-nsc, llp, plc, sole_trader, charity, charitable-incorporated-organisation, partnership, assurance-company, converted-or-closed, limited_by_guarantee, limited-partnership, oversea-company, private-unlimited, royal-charter, registered-society-non-jurisdictional, trust, uk-establishment, other
account.websitestringThe URL of the company’s website (≤ 256 characters)
account.onboardingDetailstringOptional additional details about the account
account.address.addressLine1stringrequired if account providedThe first line of the business’ registered address (≤ 256 characters)
account.address.addressLine2stringThe second line of the business’ registered address (≤ 256 characters)
account.address.townCitystringrequired if account providedThe town or city of the business’ registered address (≤ 256 characters)
account.address.postCodestringrequired if account providedThe postal or ZIP code of the business’ registered address (≤ 36 characters)
account.address.countryCodestringrequired if account providedThe country of the business’ registered address, in ISO 3166-1 alpha-2 format (2 characters)
kyc
object
required
Details for the KYC checks.
FieldTypeRequiredDescription
kyc.mainPurposearray of stringsrequiredThe main purposes of the payments. Allowable values: Business acquisition, Business costs/revenue, Charity, Currency purchase/sale, Dividend payments, Inheritance, Intercompany Transfers, Investment, Legal fees, Loan, Mortgage payments, On-going payments to family, One off payment, Payment of services, Payment to suppliers, Property maintenance, Property purchase, Property sale, Purchase of goods, Relocating abroad, Repatriation, Royalties, Sale of shares, Study fees/tuition, Vehicle purchase, Incentives/Grants, Tax payments, Director's fees
kyc.sourceOfFundsarray of stringsrequiredThe source of funds. Allowable values: salary, savings, property, cryptocurrency, inheritance, other
kyc.destinationOfFundsarray of stringsrequiredThe destination of funds, in ISO 3166-1 alpha-2 format (2 characters)
kyc.currenciesRequiredarray of stringsrequiredThe currency codes of the required currencies, in ISO 4217 format (3 characters)
kyc.annualVolumestringrequiredThe expected annual volume of payments. Allowable values: Less than £10,000, £10,000 - £50,000, £50,000 - £100,000, £100,000 - £250,000, £250,000 - £1,000,000, £1,000,000 - £5,000,000, More than £5,000,000
kyc.numberOfPaymentsstringrequiredThe expected annual number of payments. Allowable values: Fewer than 5 payments, 5 - 10 payments, 10 - 20 payments, More than 20 payments

Response

If your request is successful, you’ll receive a 202 response. This will also trigger an AccountCreated event if you’ve set up webhooks. For more detailed information about this request and its response, see the API reference.

What’s next?

Once we’ve finished verifying the business or person you’ve submitted details for, we’ll activate their account. If you’ve set up webhooks, you’ll receive an AccountActivated event when this happens.